    clear; clc;
    dados = importdata('Cap1_Teste_4.wav'); 
    sinal = dados.data;
    Fs = dados.fs;
    

%% Parte 1: plota o sinal e pede ao usuario indicacao do inicio e fim
    plot(sinal); title('Sinal');
    
    for i = 1: 10 %processa ate 10 digitos
        inicio = input(strcat('Digite o indice do INÍCIO do dígito ',int2str(i),' :'));
        fim    = input(strcat('Digite o indice do FIM do dígito ',int2str(i),' :'));
        segmento_sinal = sinal(inicio:fim);
        N = length(segmento_sinal);
        fft_segmento = abs(fft(segmento_sinal));
        m = 0:N-1;
        eixo_freq = m.*Fs/N;
        metade = round(N/2);
        figure;
        plot(eixo_freq(1:metade),fft_segmento(1:metade)); title(strcat('FFT do digito ',int2str(i)));
    end